Subject: Re: [Bugme-new] [Bug 42132] New: Support BCM5750M in tg3

From: "Matt Carlson" <[email-masked]>
Date: Thu, 1 Sep 2011 17:06:46 -0700

On Thu, Sep 01, 2011 at 04:40:11PM -0700, Andrew Morton wrote:
> 
> (switched to email.  Please respond via emailed reply-to-all, not via the
> bugzilla web interface).
> 
> On Wed, 31 Aug 2011 18:18:40 GMT
> [email-masked] wrote:
> 
> > https://bugzilla.kernel.org/show_bug.cgi?id=42132
> > 
> >            Summary: Support BCM5750M in tg3
> >            Product: Drivers
> >            Version: 2.5
> >     Kernel Version: 3.0.3
> >           Platform: All
> >         OS/Version: Linux
> >               Tree: Mainline
> >             Status: NEW
> >           Severity: normal
> >           Priority: P1
> >          Component: Network
> >         AssignedTo: [email-masked]
> >         ReportedBy: [email-masked]
> >         Regression: Yes
> > 
> > 
> > I have a notebook (HP TC4400) which has a BCM5750 ethernet card inside. The
> > ouput of lspci is:
> > 
> > 08:00.0 Ethernet controller [0200]: Broadcom Corporation NetXtreme BCM5750M
> > Gigabit Ethernet [14e4:167c]
> > 
> > Commit 67b284d476bcb3d100e946da23d6cf9acfd0465c removed the support for this
> > device.
> > 
> 
> 67b284d476bcb3d100 says "These devices were never released to the public".
> 
> > I wish to have the support for this network card back again. Thanks!
> 
> oops ;)

Really?  All the TC4400 documentation I find says it uses a bcm5753M on a
PCIe bus.  Can you post the full output of 'lspci -vvv -s 08:00.0' ?